<?php

namespace App\Domain\Scraping\Domain\Event;

readonly class ChapterScrapingFailed
{
    public function __construct(
        private string $mangaId,
        private string $chapterNumber,
        private string $reason
    ) {
    }

    public function getMangaId(): string
    {
        return $this->mangaId;
    }

    public function getChapterNumber(): string
    {
        return $this->chapterNumber;
    }

    public function getReason(): string
    {
        return $this->reason;
    }
}
